Starmade | NoSlotFreeException Issues, Factory production losing product/raw material
Closed, FinishedPublic


When a factory attempts to produce and it has no free slots open, the materials are consumed and no product is generated.
This occurs with all factories including the personal inventory factories.
log related to the video

---------------------------------------original description-----------------------------------------------------------------------------------------------------
#1 The NoSlotFreeException causes server lag when thrown from factories, and does not give any info about where the issue is in order to correct it.


#2 Factory produces and causes the logged fault when it cant drop the product into a free factory slot.
Similar thing happens when pulling into a full storage. Log looks different.

Cant confirm the lagging.
in both cases the produced and pulled blocks are lost.

Should check first and then deactivate production and pull cycle before executing it.
logs from full factory and full storage added.




Testing Results
Affected Gamemode(s)
Single and Multi
Last tested (version)
0.19478 (Dev)
Issue Type
First occurrence (version)
Video Card Vendor
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
SmilingDemon changed Category from none/unspecified to Engine.
SmilingDemon changed Affected Gamemode(s) from none/unspecified to Single and Multi.
SmilingDemon set First occurrence (version) to 0.19174.
SmilingDemon changed Reproducible from uncertain to Yes.
SmilingDemon set Last tested (version) to 0.19201 (Dev).
SmilingDemon edited a custom field.
SmilingDemon edited Serverconfig (server.cfg). (Show Details)
SmilingDemon edited Clientconfig (settings.cfg). (Show Details)
SmilingDemon changed the task status from "Open" to "In Queue (Game)".
SmilingDemon added a subscriber: SmilingDemon.
Restricted Application edited projects, added Workflow Game Development; removed Workflow Issue Navigation. · View Herald TranscriptJun 8 2015, 3:51 PM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.Aug 11 2015, 10:31 PM
AndyP changed the edit policy from "Starmade (Project)" to "All Users".
AndyP set Issue Type to Bug.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP set Video Card Vendor to uncertain.
spunkie claimed this task.Nov 4 2015, 10:54 PM
spunkie changed the title from "NoSlotFreeException Issues" to "NoSlotFreeException Issues, Factory production losing product/raw material".Nov 5 2015, 3:25 AM
spunkie edited the task description. (Show Details)
spunkie changed Last tested (version) from 0.19201 (Dev) to 0.19478 (Dev).
spunkie removed spunkie as the assignee of this task.
spunkie added a subscriber: spunkie.
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 9 2016, 3:03 AM
schema added a subscriber: schema.

Not relevant anymore with new cargo system

Restricted Application added a subscriber: Megacrafter127. · View Herald Transcript
lancake closed this task as "Closed".Mar 15 2016, 12:49 PM
lancake claimed this task.
lancake added a subscriber: lancake.


Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 15 2016, 12:49 PM

Add Comment